Library Version 11.2.5.3

DB_ENV->get_lg_dir()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_ENV->get_lg_dir()

    #include <db.h>

    int
    DB_ENV->get_lg_dir(DB_ENV *dbenv, const char **dirp);

The `DB_ENV->get_lg_dir()` method returns the log directory, which is the location for logging files. You can manage this value using the DB_ENV->set_lg_dir() method.

The `DB_ENV->get_lg_dir()` method may be called at any time during the life of the application.

The `DB_ENV->get_lg_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The `DB_ENV->get_lg_dir()` method returns a reference to the log directory in dirp.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods, DB_ENV->set_lg_dir()

Prev | Up | Next
DB_ENV->get_lg_bsize() | Home | DB_ENV->get_lg_filemode()